# This is the main Mate version
# I.e. version 1.22.0 or 1.24.0. Update when minor version chages
%define mate_version 1.24.0

%define url_ver      %(echo %{version}|cut -d. -f1,2)

%define major        1
%define slab_major   0
%define libname      %mklibname mate-window-settings %{major}
%define libslabname  %mklibname mate-slab %{slab_major}
%define develname    %mklibname -d mate-window-settings

%define appindicator 1
%{?_without_appindicator %global appindicator 0}
%{?_with_appindicator: %global appindicator 1}

Summary: MATE control center
Name:    mate-control-center
Version: 1.28.0
Release: %mkrel 2
License: GPLv2+
Group:   Graphical desktop/MATE
URL:     https://mate-desktop.org
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:  gnome-control-center-2.27.90-menulocation.patch
Patch1:  mate-control-center-1.20.0-mga-forcedpi.patch
Patch2:  nosystemd.patch
Patch3:  nosystem-info.patch
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(unique-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  itstool
#for xmllint
BuildRequires:  libxml2-utils
BuildRequires:	intltool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libmarco-private)
BuildRequires:  pkgconfig(libmate-menu) >= %{mate_version}
BuildRequires:  pkgconfig(libmatekbd) >= %{mate_version}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{mate_version}
BuildRequires:  pkgconfig(mate-settings-daemon) >= %{mate_version}
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xxf86misc)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(dconf) >= 0.13.4
BuildRequires:  pkgconfig(xi) >= 1.5
BuildRequires:  pkgconfig(libxklavier) >= 5.2
BuildRequires:  pkgconfig(polkit-gobject-1)
#BuildRequires:  menu-messages
%if %{appindicator}
BuildRequires:  pkgconfig(appindicator3-0.1) >= 0.0.13
%endif

Requires:   mate-settings-daemon >= %{mate_version}
Requires:   glibc >= 2.33

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
MATE Control-center is a configuration tool for easily
setting up your MATE environment.

%package -n %{libname}
Summary:    %{summary}
Group:      System/Libraries
Provides:   libmate-window-settings = %{version}-%{release}

%description -n %{libname}
Dynamic libraries used by MATE Control Center

%package -n %{libslabname}
Summary:    %{summary}
Group:      System/Libraries

%description -n %{libslabname}
Dynamic libraries used by MATE Control Center

%package -n %{develname}
Summary:    Static libraries, include files for MATE control center
Group:      Development/Libraries
Provides:   %{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}
Requires:   %{libslabname} = %{version}-%{release}

%description -n %{develname}
Static libraries, include files for MATE Control Center

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fiv
%configure2_5x \
           --with-x \
           %if %{appindicator}
           --enable-appindicator \
           %endif
           --disable-static          \
           --disable-schemas-compile \
           --disable-update-mimedb



sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

mkdir -p %{buildroot}%{_datadir}/mate-background-properties

#no systemd shit
rm -f %buildroot/%{_bindir}/mate-time-admin
rm -rf %buildroot/%{_datadir}/mate-time-admin/


%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-control-center
%{_bindir}/mate-font-viewer
%{_bindir}/mate-thumbnail-font
%{_bindir}/mate-about-me
%{_bindir}/mate-window-properties
%{_bindir}/mate-network-properties
%{_bindir}/mate-mouse-properties
%{_bindir}/mate-keybinding-properties
%{_bindir}/mate-keyboard-properties
%{_bindir}/mate-display-properties
%{_bindir}/mate-default-applications-properties
%{_bindir}/mate-appearance-properties
%{_bindir}/mate-at-properties
%{_bindir}/mate-typing-monitor

%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-background-properties
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/mate-control-center/
%{_datadir}/glib-2.0/schemas/org.mate.control-center.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.control-center.keybinding.gschema.xml
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/help/*/mate-control-center
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_datadir}/man/man1/*

%files -n %{libname}
#blank

%files -n %{libslabname}
#blank

%files -n %{develname}
%{_libdir}/pkgconfig/*

%files doc
%{_datadir}/help

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Fri Feb 23 2024 tex - 1.28.0-2pclos2024
- kill system-info

* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Feb 13 2024 tex - 1.26.1-2pclos2024
- rebuild against updates

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
